#pragma once

#include <Fenster.h>
#include <Knopf.h>
#include <Liste.h>
#include <Tabelle.h>

class ChatOptions : public Framework::Fenster
{
private:
    Framework::KontrollKnopf* infoChannel;
    Framework::KontrollKnopf* warningChannel;
    Framework::KontrollKnopf* errorChannel;

    Framework::Bild* plus;
    Framework::Bild* trash;

    Framework::TextFeld* playerName;
    Framework::Knopf* addButton;
    Framework::ObjTabelle* blackList;

public:
    ChatOptions();
    ~ChatOptions();
    
    void init(char* data);
    void addIgnoredPlayer(Framework::Text playerName, bool msg);
};